<template>
  <v-app id="inspire" class="full-body">
    <sideBar @drawerStatus="handleDrawer" :drawerStatus="drawer" v-if="isAuthenticated"  />
    <v-main>
      <topBar @drawerStatus="handleDrawer" v-if="isAuthenticated"   />
        <div class="mt-5">
          <router-view/>

        </div>
    </v-main>
  </v-app>
</template>

<script>
import { mapGetters, mapMutations, mapActions } from 'vuex';

export default {
  name: 'App',
  components: {
    sideBar: () => import('./components/core/sideBar'),
    topBar: () => import('./components/core/topBar'),

  },

  data() {
    return {
      drawer: true,
      rail: true,
    };
  },
  computed: {
    ...mapGetters(['isAuthenticated', 'getSessionRefreshed']),
    routeName() {
      return this.$route.name;
    },
  },
  methods: {
    handleDrawer(drawerStatus) {
      this.drawer = drawerStatus;
    },
  },
};
</script>
